package com.readboy.provider.mhc.info;

/**
 * 教材信息
 * @author mhc
 *
 */
public class BookClassInfo{

//	/**语文Chinese*/
//	public static final int SUBJECT_CHI = 0;
//	/**数学mathematics*/
//	public static final int SUBJECT_MAT = 1;
//	/**英语English*/
//	public static final int SUBJECT_ENG = 2;
//	/**物理physics*/
//	public static final int SUBJECT_PHY = 3;
//	/**化学chemistry*/
//	public static final int SUBJECT_CHE = 4;
//	/**生物organisms*/
//	public static final int SUBJECT_BIO = 5;
//	/**历史history*/
//	public static final int SUBJECT_HIS = 7;
//	/**地理geography*/
//	public static final int SUBJECT_GEO = 8;
//	/**政治politics*/
//	public static final int SUBJECT_POL = 6;
//	/**科学science*/
//	public static final int SUBJECT_SCI = 9;
	
	/**以下科目顺序和服务器保持一致，不可更改顺序*/
	public static final String[] SUBJECT_NAME = {
		"语文", "数学", "英语", "物理", "化学", 
		"生物", "政治", "历史", "地理"
		
	};
	
	/**以下科目字段和服务器保持一致，不可更改内容和顺序*/
	public static final String[] SUBJECT_FIELD = {
		"yw", "sx", "yy", "wl", "hx", 
		"sw", "zz", "ls", "dl" 
		
	};
	
	/**可以加入班级的科目总数（语数外物化）*/
	public static final int CLASS_NUMBER = 5;//
	
	/**科目可见---用户当前所处的年级有这个科目*/
	public static final int SUBJECT_VISIBLE = 0;
	/**科目不可见---用户当前所处的年级没有这个科目*/
	public static final int SUBJECT_GONE = 1;

	/**书名*/
	public String bookName = "";
	/**书本id*/
	public int bookId = 0;
	
	
	/**年级。1到9代表一年级到九年级*/
	public int gradeId = 0;
	/**科目id，从1到9，1代表语文*/
	public int subjectId = 1;
	
	/**版本编号*/
	public int editionId = 0;
	/**版本名*/
	public String editionName = "";
	
	/**出版社id*/
	public int pressId = 0;
	/**出版社名字*/
	public String pressName = "";
	
	/**0  这个科目可见， 1不可见,
	 * 科目可见---用户当前所处的年级有这个科目,
	 * 科目不可见---用户当前所处的年级没有这个科目
	 * */
	public int subjectVisible = SUBJECT_VISIBLE;
	
	/**封面路径*/
	public String coverPath = "";
	
	
	/**书本条形码*/
	public String barCode = "";
	
	/**当前教材加入（对应）的班级id*/
	public String classId = "";
	/**当前教材加入（对应）的班级名字*/
	public String className = "";
	
	/**（只）清除教材信息.（不清楚加入的班级信息）*/
	public void clearBookInfo()
	{
		bookName = "";
		bookId = 0;
		gradeId = 0;
		editionId = 0;
		editionName = "";
		coverPath = "";
		pressId = 0;
		pressName = "";
		barCode = "";
	}
	
	/**（只）更新教材信息.（不更新加入的班级信息）*/
	public void refreshBookInfo(BookClassInfo bookInfo)
	{
		bookName = bookInfo.bookName;
		bookId = bookInfo.bookId;
		gradeId = bookInfo.gradeId;
		editionId = bookInfo.editionId;
		editionName = bookInfo.editionName;
		coverPath = bookInfo.coverPath;
		pressId = bookInfo.pressId;
		pressName = bookInfo.pressName;
		barCode = bookInfo.barCode;
	}
	
//	public UserInfo refreshUserInfo(UserInfo mUserInfo)
//	{
//		switch(subjectId)
//		{
//		case 1:
//			mUserInfo.yw = bookId;
//			mUserInfo.ywName = bookName;
//			break;
//		case 2:
//			mUserInfo.sx = bookId;
//			mUserInfo.sxName = bookName;
//			break;
//		case 3:
//			mUserInfo.yy = bookId;
//			mUserInfo.yyName = bookName;
//			break;
//		case 4:
//			mUserInfo.wl = bookId;
//			mUserInfo.wlName = bookName;
//			break;
//		case 5:
//			mUserInfo.hx = bookId;
//			mUserInfo.hxName = bookName;
//			break;
//		case 6:
//			mUserInfo.sw = bookId;
//			mUserInfo.swName = bookName;
//			break;
//		case 7:
//			mUserInfo.zz = bookId;
//			mUserInfo.zzName = bookName;
//			break;
//		case 8:
//			mUserInfo.ls = bookId;
//			mUserInfo.lsName = bookName;
//			break;
//		case 9:
//			mUserInfo.dl = bookId;
//			mUserInfo.dlName = bookName;
//			break;
//		
//		}
//		
//		return mUserInfo;
//	}
	
	
	
	/**返回版本名字+书本名字。（用于多本教材按A到Z排序时使用）*/
	public String getFullName()
	{
		return editionName+bookName;
	}
	
	
	
	/**获取科目中文名字*/
	public String getSubjectName() {
		if(subjectId > 0 && subjectId <= SUBJECT_NAME.length)
		{
			return SUBJECT_NAME[subjectId-1];
		}
		return "";
	}
	
	/**获取科目上传信息到服务器时使用的字段*/
	public String getSubjectField() {
		if(subjectId > 0 && subjectId <= SUBJECT_FIELD.length)
		{
			return SUBJECT_FIELD[subjectId-1];
		}
		return "";
	}
	
	public String toString()
	{
		String s = "书本信息："+ 
				"\n 	bookName = "+ bookName +
				"\n 	bookId = " + bookId + 
				"\n 	gradeId = " + gradeId + 
				"\n 	subjectId = " + subjectId + 
				"\n 	editionId = " + editionId + 
				"\n 	editionName = " + editionName + 
				"\n 	pressId = " + pressId + 
				"\n 	pressName = " + pressName + 
				"\n 	coverPath = " + coverPath +
				"\n 	classId = " + classId + 
				"\n 	className = " + className
				;
//		"\n 	书本名字 = "+ bookName +
//		"\n 	书本id = " + bookId + 
//		"\n 	年级id = " + gradeId + 
//		"\n 	科目id = " + subjectId + 
//		"\n 	版本id = " + editionId + 
//		"\n 	版本名字 = " + editionName + 
//		"\n 	出版社id = " + pressId + 
//		"\n 	出版社名字 = " + pressName + 
//		"\n 	书本封面地址 = " + coverPath 
		
		return s;
	}
	
	


	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
}
